Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

I ran into this issue trying to run gpg4usb on Fedora 18 64 bit. GPG4USB is a handy GPG text editor that is compiled for 32bit distros.

Unfortunately the only way to get the 32 bit libs required to run the app was to keep running it over and over, look for the error messages about missing files, use yum provides to find the i686 package that provided the file, and install it.

For reference, these are the packages I needed to install, but I imagine that you'll have to just run the app and keep installing the packages individually until you satisfy all the dependencies.

sudo yum install libXrender.i686
sudo yum install fontconfig.i686
sudo yum install zlib.i686
sudo yum install libXext.i686
sudo yum install libstdc++.i686

I ran into this issue trying to run gpg4usb on Fedora 18 64 bit. GPG4USB is a handy GPG text editor that is compiled for 32bit distros.

Unfortunately the only way to get the 32 bit libs required to run the app was to keep running it over and over, look for the error messages about missing files, use yum provides to find the i686 package that provided the file, and install it.

For reference, these are the packages I needed to install, but I imagine that you'll have to just run the app and keep installing the packages individually until you satisfy all the dependencies.

sudo yum install libXrender.i686
sudo yum install fontconfig.i686
sudo yum install zlib.i686
sudo yum install libXext.i686
sudo yum install -y libXrender.i686 fontconfig.i686 zlib.i686 libXext.i686 libstdc++.i686